var MSAControllerOverview = AMActionOverview.extend({
   initialize: function() {
      AMActionOverview.prototype.initialize.call(this);

      var sType = "TypeSmartArrayController";
      var sPathSuffix = "controller";
      
      var sDeviceID = this.get("sDeviceID");
      var sLinkPath = "#configuration/" + encodeURIComponent(sDeviceID) + "/" + sPathSuffix + "/";
      var oOperations = GetOperations(sType, sDeviceID).operations;
      this.set({
         'sType': sType,
         'oOperations': oOperations,
         'sLinkPath': sLinkPath,
         'bIncludeStatusAlerts': true
      });
   }
});