var VSAController = AVTab1.extend({
   
   events: {
      "click .opFooter .buttons .Dismiss" : "clickDismissButton"
   },
      
   render: function() {
      var sTab = this.model.get("sTab");
      if (sTab == "overview")
      {
         this.clickOverview();
      }
      /*else if (sTab == "diagnostics")
      {
         this.clickDiagnostics();
      }*/
      else
      {
         this.clickGenericOperation();
      }
      return this;
   },
   
   clickDismissButton: function() {
      window.history.back();
   },
   
   clickOverview: function() {
      var oModel = new MSAControllerOverview({
         'sDeviceID': this.model.get("sDeviceID"),
         'oDevice': this.model.get("oDevice")
      });
      this.oVTab = new VSAControllerOverview({ 
         el: this.loadTab("SAControllerOverview"), 
         model: oModel
      });
   },
   
   /*clickDiagnostics: function() {
      var sTab1 = this.model.get("sTab1");
      var oModel = new MDiagnostics({
         'sDeviceID': this.model.get("sDeviceID"),
         'sTab': sTab1
      });
      this.oVTab = new VDiagnostics({ 
         el: this.loadTab(sTab1), 
         model: oModel
      });
   },*/
   
   clickGenericOperation: function() {
      var sTabName = this.model.get("sTab");
      var oModel = new AMOperation({
         'sDeviceID': this.model.get("sDeviceID"),
         'sOpName': sTabName
      });
      this.oVTab = new AVOperation({ 
         el: this.loadTab(sTabName), 
         model: oModel
      });
   }
   
});