var MLicenseManagerNav = AMTreeNav.extend({

   initialize: function() {
      this.set({
         'sEmptyMsg':'STR_EMPTY_LICENSE_MANAGER',
         "sTitle": "STR_LICENSE_MANAGER"
      });
      AMTreeNav.prototype.initialize.call(this);
   },

   getDevices: function(bFetch) {
      var sDeviceID = this.get("sDeviceID");
      var sType = "TypeLicensedFeature";
      var oItems = EnumerateDevices(sType, sDeviceID, bFetch);
      // Note: The following line doesn't work when enumeratedevices is cached.
      var oSortList = GetDeviceSortLists(sType, sDeviceID, bFetch);
      if (IsDefinedAndSet(oItems))
      {
         oItems = oItems.devices;
      }
      var sSelectedDeviceID = this.get('sSelectedDeviceID');
      // If selected device is not in the device list, use the parent device.
      if ($.inArray(sSelectedDeviceID, oItems) == -1)
      {
         sSelectedDeviceID = sDeviceID;
      }
      var oFilter = new SALFilter(oSortList.filter);
      this.set({
         'oDevices':oItems,
         'oSortList':oSortList,
         'oFilter':oFilter,
         'sSelectedDeviceID':sSelectedDeviceID
      });
      if (bFetch)
      {
         this.trigger("renderNotifyRefreshObservers");
      }
      else
      {
         this.trigger("render");
      }
   }

});