var MHomeNavDynamicSection = AMNavDynamicSection.extend({
   
   refresh: function() {
      ClearDeviceSelection();
      var oControllerList = EnumerateDevices("TypeSmartArrayController").devices;
      //var oControllerList = [];
      // Loop through each device and GetDeviceDetails.
      var nNumControllers = oControllerList.length;
      this.set({
         'oControllerList': oControllerList,
         'nControllersLoading': nNumControllers
      });
      if (nNumControllers > 0)
      {
         this.bind("change:nControllersLoading", this.changeLoading, this);
         for (var i=0; i<nNumControllers; ++i)
         {
            GetDeviceDetails(
               oControllerList[i],
               13,
               function(o) {
                  var n = this.get('nControllersLoading') - 1;
                  this.set({
                     'nControllersLoading': n
                  });
               },
               true,
               this);
         }
      }
      else
      {
         this.changeLoading();
      }
   }

});