var VHelpItem = BaseView.extend({

   initialize: function() {
      BaseView.prototype.initialize.call(this);
      this.render();
   },
   
   render: function() {
      this.drawHelpItem();
      return this;
   },
   
   drawHelpItem: function() {
      var sTitle = this.model.get('sTitle');
      var isFolder = this.model.get('isFolder');
      var oHelpContent = this.model.get('oHelpContent');
      var isSelected = this.model.get('isSelected');
      var nIndex = this.model.get('helpIndexNumber');
      var sClass = "";
      if (isSelected) {
         sClass = " selected";
      }
      if (isFolder) {
         var oLI = $('<li/>');
         var oA = $('<a/>', {
            'href':'',
            'class':'popupTabbable helpItem isFolder' + sClass,
            'id':nIndex,
            'data-title':sTitle
         });
         var oSprite = $('<div/>', {
            'class':'icon HPSSA_SPRITE closed folderIcon'
         })
         oA.html(TranslateString(sTitle));
         oA.prepend(oSprite);
         oA.append(GetClearFloatsDiv());
         oLI.append(oA);
         this.$el.append(oLI);
         
      } 
      else {
         var oLI = $('<li/>');
         var oA =  $('<a/>', {
            'href':'',
            'class':'popupTabbable helpItem isNotFolder noIcon' + sClass,
            'id':nIndex,
            'data-title':sTitle
         });
         oA.html(TranslateString(sTitle));
         oLI.append(oA);
         this.$el.append(oLI);
      }
   }
   
});