var AVBodyNav = AVNav.extend({
   
   // 3. Triggered by AVBody.
   refresh: function() {
      // TODO: do we need to add this.model to refresh queue?
      //this.addToRefreshQueue(this.model);
      this.addToRefreshQueue(this.oVNavDynamicSection);
   },
   
   // Adds a dynamic section for refreshing.
   initialize: function() {
      AVNav.prototype.initialize.call(this);
      this.drawNavDynamicSection();
      this.render();
   },

   drawNavDynamicSection: function() {
      // To overload.
      var oMNavDynamicSection = new AMNavDynamicSection();
      this.oVNavDynamicSection = new AVNavDynamicSection({
         model: oAMNavDynamicSection
      });
      this.$el.append(this.oAVNavDynamicSection.$el);
   },

   // Same as AVNav except adds an Action section to the right with a Refresh button.
   drawHeader: function(oParentDiv, sTitle) {
      AVNav.prototype.drawHeader.apply(this, arguments);
      
      if (this.model.get("bDisplayRefreshButton"))
      {         
         // Add Refresh link.
         var oRefreshButton = $('<a/>', {
            'id': 'refreshButtonID',
            'href': '',
            'class': 'refreshButton widgetLink'
         });
         var oRefreshIcon = $('<div/>', {'class': 'HPSSA_SPRITE ICON_REFRESH'});
         var oRefreshLabel = $('<div/>', {'class': 'label'});
         oRefreshLabel.append(TranslateString("STR_REFRESH"));
         oRefreshButton.append(oRefreshIcon);
         oRefreshButton.append(oRefreshLabel);
         var oThis = this;
         oRefreshButton.click(function(e)
         {
            oRefreshIcon.addClass("loading");
            ClearAll();
            oThis.$el.trigger("refreshPage");
            return false;
         });
         var oHeaderDiv = this.$(".header");
         oHeaderDiv.append(oRefreshButton);
      }
   }
   
});