// Contains Tab Links (AVTabLink)
var VTabSection = BaseView.extend({
   
   events: {
   },
   
   initialize: function() {
      this.oVTabLinks = [];
      this.render();
   },
   
   render: function() {
      this.$el.empty();
      var oUL = $('<ul/>', {'class':'list1'});
      this.$el.append(oUL);
      return this;
   },

   addNote: function(sMessage)
   {
      var oUL = this.$('.list1');
      var oLI = $('<li class="note"></li>');
      oLI.append(TranslateString(sMessage));
      oUL.append(oLI);
   },
   
   drawServerTabLink: function(sLinkPrefix, sDeviceID, bSelected)
   {
      var oUL = this.$('.list1');
      var oLI = $('<li class="item1"></li>');
      oUL.append(oLI);
      var oMServerTabLink = new MServerTabLink({
         "sDeviceID":sDeviceID,
         "sLinkPrefix":sLinkPrefix,
         "bSelected":bSelected
      });
      var oVServerTabLink = new VServerTabLink({
         el: oLI,
         model: oMServerTabLink
      });
      this.oVTabLinks.push(oVServerTabLink);
   },
   
   drawConfigurationDeviceTabLink: function(sLinkPrefix, sDeviceID, oDevice, bSelected)
   {
      var oUL = this.$('.list1');
      var oLI = $('<li class="item1"></li>');
      oUL.append(oLI);
      var oMConfigurationDeviceTabLinkMain = new MConfigurationDeviceTabLink({
         'sDeviceID':sDeviceID,
         'oDevice':oDevice,
         'sLinkPrefix':sLinkPrefix,
         'bSelected':bSelected
      });
      var oVConfigurationDeviceTabLinkMain = new VConfigurationDeviceTabLink({
         el: oLI,
         model: oMConfigurationDeviceTabLinkMain
      });
      this.oVTabLinks.push(oVConfigurationDeviceTabLinkMain);
   },
   
   drawDeviceContainerTabLink: function(sLinkPrefix, sDeviceID, sIcon, sName, sLink, sType, nCount, bSelected)
   {
      var oUL = this.$('.list1');
      var oLI = $('<li class="item1"></li>');
      oUL.append(oLI);
      var oMConfigurationContainerTabLink = new MConfigurationContainerTabLink({
         "sDeviceID":sDeviceID,
         "sIcon":sIcon,
         "sName":sName,
         "sLink":sLink,
         'sLinkPrefix':sLinkPrefix,
         "sType":sType,
         "nCount":nCount,
         "bSelected":bSelected
      });
      var oVConfigurationContainerTabLink = new VConfigurationContainerTabLink({
         el: oLI,
         model: oMConfigurationContainerTabLink
      });
      oVConfigurationContainerTabLink.render();
      this.oVTabLinks.push(oVConfigurationContainerTabLink);
   }
   
});