var AVTab2 = AVResize.extend({
   
   postRefresh: function() {
      this.notifyRefreshObservers();
   },

   initialize: function() {
      AVResize.prototype.initialize.call(this);
      //this.oVTab = null;
      this.render();
   },
   
   /*dispose: function() {
      this.disposeTab();
      AVResize.prototype.dispose.call(this);
   },

   disposeTab: function() {
      if (this.oVTab)
      {
         if (IsDefined(this.oVTab.oVTab))
         {
            this.oVTab.oVTab.dispose();
         }
         if (IsDefined(this.oVDeviceStatus))
         {
            this.oVDeviceStatus.dispose();
         }
         this.oVTab.dispose();
      }
   },

   loadTab: function(sID) {
      var sClass = "";//tab2BodyInner";
      // Remove existing tab.
      this.disposeTab();
      var oDiv = $('<div/>', {'id': sID, 'class': sClass});
      this.$el.append(oDiv);
      return oDiv;
   },*/
   
   drawHeader: function() {
      var oMHeader = new MHeader({
         'sDeviceID': this.model.get('sDeviceID'),
         'sLabel': this.model.get('sLabel'),
         'sIconClass': this.model.get('sIconClass')
      });
      var oVHeader = new VHeader({
         'model': oMHeader,
         'el': this.$('.opHeader')
      });
   },
   
   resizeWidth: function() {
      AVResize.prototype.resizeWidth.call(this);
      if (IsDefined(this.oVTab))
      {
         var nWidth = this.model.get("nWidth");
         var oVTabEl = this.oVTab.$el;
         var nVTabWidth = nWidth - parseInt(oVTabEl.css('border-left-width')) - parseInt(oVTabEl.css('border-right-width'));
         this.oVTab.model.set({
            "nWidth": nVTabWidth
         });
      }
   },
   
   resizeHeight: function() {
      AVResize.prototype.resizeHeight.call(this);
      if (IsDefined(this.oVTab))
      {
         var nHeight = this.model.get("nHeight");
         var oVTabEl = this.oVTab.$el;
         var nVTabHeight = nHeight - parseInt(oVTabEl.css('border-top-width')) - parseInt(oVTabEl.css('border-bottom-width'));
         this.oVTab.model.set({
            "nHeight": nVTabHeight
         });
      }
   }
});

_.defaults(AVTab2.prototype, MixinRefreshObserver());
_.defaults(AVTab2.prototype, MixinRefreshSubject());
_.defaults(AVTab2.prototype, MixinToggleButtons());