var VLicenseManagerTreeActions = AVTreeActions.extend({

   initialize: function() {
      this.oVNav = null;
      AVTreeActions.prototype.initialize.call(this);
      // Render will have been called, select a device in the tree by default.
      var sDefaultID = this.oVNav.getDefaultID();
      this.selectChild(sDefaultID);
   },

   drawNav: function(oNavDiv) {
      var oMNav = new MLicenseManagerNav({ 
         "sDeviceID": this.model.get("sDeviceID"), 
         "oDevice": this.model.get("oDevice"),
         "sSelectedTab": this.model.get("sTab")
      });
      this.oVNav = new VLicenseManagerNav({ el: oNavDiv, model: oMNav });
   },

   drawTab: function(oBodyDiv) {
      var oModel = new MLicenseManagerTab({
         'sDeviceID': this.model.get("sDeviceID")
      });
      this.oVTab = new VLicenseManagerTab({ 
         el: this.loadTab("LicenseManagerTab"), 
         model: oModel
      });
   }
   
});