var VControlButton = AVControl.extend({

   render: function() {
      var oButtonInputDiv = $('<div/>', {'class': "buttonWrapper"});
      $(this.el).append(oButtonInputDiv);
      this.drawButtonInput();
      return this;
   },
   
   drawButtonInput: function() {
      var oAttributes = this.model.get("oAttributes");
      var sButtonOperation = oAttributes.OPERATION;
      var sButtonDescription = oAttributes.DESCRIPTION;
      var oButtonInputDiv = this.$('.buttonWrapper');
      // Draw the button
      var sClass = "pianoButton default button action popupTabbable";
      var oButtonDiv = $('<div/>', {
         'id': sButtonOperation,
         'class': sClass
      });
      oButtonDiv.html(TranslateString(sButtonOperation));
      oButtonInputDiv.append(oButtonDiv);
      oButtonInputDiv.append(GetClearFloatsDiv());
      var oDescDiv = $('<div/>', {'class':'description'});
      oDescDiv.append(TranslateString(sButtonDescription));
      oButtonInputDiv.append(oDescDiv);
   }
});